SDL_ConvertPixelsAndColorspace(3)

NAME
SDL_ConvertPixelsAndColorspace - Copy a block of pixels of one format and colorspace to another format and colorspace.

SYNOPSIS
#include <SDL3/SDL_surface.h>

bool SDL_ConvertPixelsAndColorspace(int width, int height, SDL_PixelFormat src_format, SDL_Colorspace src_colorspace, SDL_PropertiesID src_properties, const void *src, int src_pitch, SDL_PixelFormat dst_format, SDL_Colorspace dst_colorspace, SDL_PropertiesID dst_properties, void *dst, int dst_pitch);

FUNCTION PARAMETERS

width
    the width of the block to copy, in pixels.

height
    the height of the block to copy, in pixels.

src_format
    an SDL_PixelFormat value of the src pixels format.

src_colorspace
    an SDL_Colorspace value describing the colorspace of the src pixels.

src_properties
    an SDL_PropertiesID with additional source color properties, or 0.

src a pointer to the source pixels.

src_pitch
    the pitch of the source pixels, in bytes.

dst_format
    an SDL_PixelFormat value of the dst pixels format.

dst_colorspace
    an SDL_Colorspace value describing the colorspace of the dst pixels.

dst_properties
    an SDL_PropertiesID with additional destination color properties, or 0.

dst a pointer to be filled in with new pixel data.

dst_pitch
    the pitch of the destination pixels, in bytes.

RETURN VALUE
for more information.

THREAD SAFETY
The same destination pixels should not be used from two threads at once. It is safe to use the same source pixels from multiple threads.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_ConvertPixels(3)